set CMSDK_NVM_BASE            0x50002000
set CMSDK_NVM_OPMODE [expr $CMSDK_NVM_BASE + 0x0]
set CMSDK_NVM_ADDRESS [expr $CMSDK_NVM_BASE + 0x4]
set CMSDK_NVM_STATUS [expr $CMSDK_NVM_BASE + 0x8]
set CMSDK_NVM_READ_DATA [expr $CMSDK_NVM_BASE + 0xc]
set CMSDK_NVM_T_SP_PG_AVDD [expr $CMSDK_NVM_BASE + 0x10]
set CMSDK_NVM_T_SP_PGM [expr $CMSDK_NVM_BASE + 0x14]
set CMSDK_NVM_T_PGM [expr $CMSDK_NVM_BASE + 0x18]
set CMSDK_NVM_T_HP_PGM [expr $CMSDK_NVM_BASE + 0x1c]
set CMSDK_NVM_T_HP_PG_AVDD [expr $CMSDK_NVM_BASE + 0x20]
set CMSDK_NVM_T_SR_RD [expr $CMSDK_NVM_BASE + 0x24]
set CMSDK_NVM_T_RD [expr $CMSDK_NVM_BASE + 0x28]
set CMSDK_NVM_T_HR_RD [expr $CMSDK_NVM_BASE + 0x2c]
set CMSDK_NVM_T_SETUP [expr $CMSDK_NVM_BASE + 0x30]
set CMSDK_NVM_T_HOLD [expr $CMSDK_NVM_BASE + 0x34]
set CMSDK_NVM_T_ADDR [expr $CMSDK_NVM_BASE + 0x38]
set CMSDK_NVM_INTERRUPT_MASK [expr $CMSDK_NVM_BASE + 0x3c]
set CMSDK_NVM_INTERRUPT_STATUS [expr $CMSDK_NVM_BASE + 0x40]
set CMSDK_NVM_SET_INTERRUPT [expr $CMSDK_NVM_BASE + 0x44]
set CMSDK_NVM_RESET_INTERRUPT [expr $CMSDK_NVM_BASE + 0x48]
set CMSDK_NVM_EFUSE_AUTOREAD [expr $CMSDK_NVM_BASE + 0x4c]
set CMSDK_NVM_ID [expr $CMSDK_NVM_BASE + 0xffc]
